summaryrefslogtreecommitdiff
path: root/tests/cktools/pwck/25_pwck_usage_invalid_option/pwck.test
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cktools/pwck/25_pwck_usage_invalid_option/pwck.test')
-rwxr-xr-xtests/cktools/pwck/25_pwck_usage_invalid_option/pwck.test56
1 files changed, 0 insertions, 56 deletions
diff --git a/tests/cktools/pwck/25_pwck_usage_invalid_option/pwck.test b/tests/cktools/pwck/25_pwck_usage_invalid_option/pwck.test
deleted file mode 100755
index a8d5941a..00000000
--- a/tests/cktools/pwck/25_pwck_usage_invalid_option/pwck.test
+++ /dev/null
@@ -1,56 +0,0 @@
-#!/bin/sh
-
-set -e
-
-cd $(dirname $0)
-
-. ../../../common/config.sh
-. ../../../common/log.sh
-
-log_start "$0" "pwck displays its usage message when called with an invalid option"
-
-save_config
-
-# restore the files on exit
-trap 'log_status "$0" "FAILURE"; restore_config' 0
-
-change_config
-
-echo -n "Call pwck with an invalid option (pwck -Z)..."
-pwck -Z 2>tmp/pwck.err && exit 1 || {
- status=$?
-}
-echo "OK"
-
-rm -f /etc/passwd.lock
-
-echo -n "Check returned status ($status)..."
-test "$status" = "1"
-echo "OK"
-
-echo "pwck reported:"
-echo "======================================================================="
-cat tmp/pwck.err
-echo "======================================================================="
-echo -n "Check that there were a failure message..."
-diff -au data/pwck.err tmp/pwck.err
-echo "error message OK."
-rm -f tmp/pwck.err
-
-echo -n "Check the passwd file..."
-../../../common/compare_file.pl config/etc/passwd /etc/passwd
-echo "OK"
-echo -n "Check the group file..."
-../../../common/compare_file.pl config/etc/group /etc/group
-echo "OK"
-echo -n "Check the shadow file..."
-../../../common/compare_file.pl config/etc/shadow /etc/shadow
-echo "OK"
-echo -n "Check the gshadow file..."
-../../../common/compare_file.pl config/etc/gshadow /etc/gshadow
-echo "OK"
-
-log_status "$0" "SUCCESS"
-restore_config
-trap '' 0
-